Accounts

Etherscan-compatible endpoints for the Accounts module.

Get Ether Balance for a Single Address

Returns the Ether balance of a given address.

GET
https://api.routescan.io/v2/network/mainnet/evm/1/etherscan/api?module=account&action=balance&address=0xde0b295669a9fd93d5f28d9ec85e40f4cb697bae&tag=latest&apikey=YourApiKeyToken
1curl 'https://api.routescan.io/v2/network/mainnet/evm/1/etherscan/api?module=account&action=balance&address=0xde0b295669a9fd93d5f28d9ec85e40f4cb697bae&tag=latest' \
2 -H 'apikey: YourApiKeyToken'
1{
2 status: string;
3 message: string;
4 result: string;
5}

Get Ether Balance for Multiple Addresses in a Single Call

Returns the balance of the accounts from a list of addresses.

GET
https://api.routescan.io/v2/network/mainnet/evm/1/etherscan/api?module=account&action=balancemulti&address=0xddbd2b932c763ba5b1b7ae3b362eac3e8d40121a%2C0x63a9975ba31b0b9626b34300f7f627147df1f526%2C0x198ef1ec325a96cc354c7266a038be8b5c558f67&tag=latest&apikey=YourApiKeyToken
1curl 'https://api.routescan.io/v2/network/mainnet/evm/1/etherscan/api?module=account&action=balancemulti&address=0xddbd2b932c763ba5b1b7ae3b362eac3e8d40121a%2C0x63a9975ba31b0b9626b34300f7f627147df1f526%2C0x198ef1ec325a96cc354c7266a038be8b5c558f67&tag=latest' \
2 -H 'apikey: YourApiKeyToken'
1{
2 status: string;
3 message: string;
4 result: {
5 account: string;
6 balance: string;
7 }[];
8}

Get a list of 'Normal' Transactions By Address

Returns the list of transactions performed by an address, with optional pagination.

GET
https://api.routescan.io/v2/network/mainnet/evm/1/etherscan/api?module=account&action=txlist&address=0xddbd2b932c763ba5b1b7ae3b362eac3e8d40121a&startblock=0&endblock=99999999&page=1&offset=10&sort=asc&apikey=YourApiKeyToken
1curl 'https://api.routescan.io/v2/network/mainnet/evm/1/etherscan/api?module=account&action=txlist&address=0xddbd2b932c763ba5b1b7ae3b362eac3e8d40121a&startblock=0&endblock=99999999&page=1&offset=10&sort=asc' \
2 -H 'apikey: YourApiKeyToken'
1{
2 status: string;
3 message: string;
4 result: {
5 blockNumber: string;
6 blockHash: string;
7 timeStamp: string;
8 hash: string;
9 nonce: string;
10 transactionIndex: string;
11 from: string;
12 to: string;
13 value: string;
14 gas: string;
15 gasPrice: string;
16 input: string;
17 methodId: string;
18 functionName: string;
19 contractAddress: string;
20 cumulativeGasUsed: string;
21 txreceipt_status: string;
22 gasUsed: string;
23 confirmations: string;
24 isError: string;
25 }[];
26}

Get a list of 'Internal' Transactions by Address

Returns the list of internal transactions performed by an address, with optional pagination.

GET
https://api.routescan.io/v2/network/mainnet/evm/1/etherscan/api?module=account&action=txlistinternal&address=0x2c1ba59d6f58433fb1eaee7d20b26ed83bda51a3&startblock=0&endblock=2702578&page=1&offset=10&sort=asc&apikey=YourApiKeyToken
1curl 'https://api.routescan.io/v2/network/mainnet/evm/1/etherscan/api?module=account&action=txlistinternal&address=0x2c1ba59d6f58433fb1eaee7d20b26ed83bda51a3&startblock=0&endblock=2702578&page=1&offset=10&sort=asc' \
2 -H 'apikey: YourApiKeyToken'
1{
2 status: string;
3 message: string;
4 result: {
5 blockNumber: string;
6 timeStamp: string;
7 hash: string;
8 from: string;
9 to: string;
10 value: string;
11 contractAddress: string;
12 input: string;
13 type: string;
14 gasUsed: string;
15 gas: string;
16 traceId: string;
17 isError: string;
18 errCode: string;
19 }[];
20}

Get 'Internal Transactions' by Transaction Hash

Returns the list of internal transactions performed within a transaction.

GET
https://api.routescan.io/v2/network/mainnet/evm/1/etherscan/api?module=account&action=txlistinternal&txhash=0x40eb908387324f2b575b4879cd9d7188f69c8fc9d87c901b9e2daaea4b442170&apikey=YourApiKeyToken
1curl 'https://api.routescan.io/v2/network/mainnet/evm/1/etherscan/api?module=account&action=txlistinternal&txhash=0x40eb908387324f2b575b4879cd9d7188f69c8fc9d87c901b9e2daaea4b442170' \
2 -H 'apikey: YourApiKeyToken'
1{
2 status: string;
3 message: string;
4 result: {
5 blockNumber: string;
6 timeStamp: string;
7 from: string;
8 to: string;
9 value: string;
10 contractAddress: string;
11 input: string;
12 type: string;
13 gas: string;
14 gasUsed: string;
15 isError: string;
16 errCode: string;
17 }[];
18}

Get "Internal Transactions" by Block Range

Returns the list of internal transactions performed within a block range, with optional pagination.

GET
https://api.routescan.io/v2/network/mainnet/evm/1/etherscan/api?module=account&action=txlistinternal&startblock=13481773&endblock=13491773&page=1&offset=10&sort=asc&apikey=YourApiKeyToken
1curl 'https://api.routescan.io/v2/network/mainnet/evm/1/etherscan/api?module=account&action=txlistinternal&startblock=13481773&endblock=13491773&page=1&offset=10&sort=asc' \
2 -H 'apikey: YourApiKeyToken'

Get a list of 'ERC20 - Token Transfer Events' by Address

Returns the list of ERC-20 tokens transferred by an address, with optional filtering by token contract.

GET
https://api.routescan.io/v2/network/mainnet/evm/1/etherscan/api?module=account&action=tokentx&address=0xd8dA6BF26964aF9D7eEd9e03E53415D37aA96045&contractaddress=0xA0b86991c6218b36c1d19D4a2e9Eb0cE3606eB48&page=1&offset=100&startblock=0&endblock=99999999&sort=desc&apikey=YourApiKeyToken
1curl 'https://api.routescan.io/v2/network/mainnet/evm/1/etherscan/api?module=account&action=tokentx&address=0xd8dA6BF26964aF9D7eEd9e03E53415D37aA96045&contractaddress=0xA0b86991c6218b36c1d19D4a2e9Eb0cE3606eB48&page=1&offset=100&startblock=0&endblock=99999999&sort=desc' \
2 -H 'apikey: YourApiKeyToken'
1{
2 status: string;
3 message: string;
4 result: {
5 blockNumber: string;
6 timeStamp: string;
7 hash: string;
8 nonce: string;
9 blockHash: string;
10 from: string;
11 contractAddress: string;
12 to: string;
13 value: string;
14 tokenName: string;
15 tokenSymbol: string;
16 tokenDecimal: string;
17 transactionIndex: string;
18 gas: string;
19 gasPrice: string;
20 gasUsed: string;
21 cumulativeGasUsed: string;
22 input: string;
23 methodId: string;
24 functionName: string;
25 confirmations: string;
26 }[];
27}

Get a list of 'ERC721 - Token Transfer Events' by Address

Returns the list of ERC-721 ( NFT ) tokens transferred by an address, with optional filtering by token contract.

GET
https://api.routescan.io/v2/network/mainnet/evm/1/etherscan/api?module=account&action=tokennfttx&address=0xd8dA6BF26964aF9D7eEd9e03E53415D37aA96045&page=1&offset=100&startblock=0&endblock=99999999&sort=desc&apikey=YourApiKeyToken
1curl 'https://api.routescan.io/v2/network/mainnet/evm/1/etherscan/api?module=account&action=tokennfttx&address=0xd8dA6BF26964aF9D7eEd9e03E53415D37aA96045&page=1&offset=100&startblock=0&endblock=99999999&sort=desc' \
2 -H 'apikey: YourApiKeyToken'
1{
2 status: string;
3 message: string;
4 result: {
5 blockNumber: string;
6 timeStamp: string;
7 hash: string;
8 nonce: string;
9 blockHash: string;
10 from: string;
11 contractAddress: string;
12 to: string;
13 tokenID: string;
14 tokenName: string;
15 tokenSymbol: string;
16 transactionIndex: string;
17 tokenDecimal: string;
18 gas: string;
19 gasPrice: string;
20 gasUsed: string;
21 cumulativeGasUsed: string;
22 input: string;
23 methodId: string;
24 functionName: string;
25 confirmations: string;
26 }[];
27}

Get a list of 'ERC1155 - Token Transfer Events' by Address

Returns the list of ERC-1155 ( Multi Token Standard ) tokens transferred by an address, with optional filtering by token contract.

GET
https://api.routescan.io/v2/network/mainnet/evm/1/etherscan/api?module=account&action=token1155tx&address=0xd8dA6BF26964aF9D7eEd9e03E53415D37aA96045&page=1&offset=100&startblock=0&endblock=99999999&sort=desc&apikey=YourApiKeyToken
1curl 'https://api.routescan.io/v2/network/mainnet/evm/1/etherscan/api?module=account&action=token1155tx&address=0xd8dA6BF26964aF9D7eEd9e03E53415D37aA96045&page=1&offset=100&startblock=0&endblock=99999999&sort=desc' \
2 -H 'apikey: YourApiKeyToken'
1{
2 status: string;
3 message: string;
4 result: {
5 blockNumber: string;
6 timeStamp: string;
7 hash: string;
8 nonce: string;
9 blockHash: string;
10 transactionIndex: string;
11 gas: string;
12 gasPrice: string;
13 gasUsed: string;
14 cumulativeGasUsed: string;
15 input: string;
16 contractAddress: string;
17 from: string;
18 to: string;
19 tokenID: string;
20 tokenValue: string;
21 tokenName: string;
22 tokenSymbol: string;
23 methodId: string;
24 functionName: string;
25 confirmations: string;
26 }[];
27}

Get Historical Ether Balance for a Single Address By BlockNo

Returns the balance of an address at a certain block height.

GET
https://api.routescan.io/v2/network/mainnet/evm/1/etherscan/api?module=account&action=balancehistory&address=0xde0b295669a9fd93d5f28d9ec85e40f4cb697bae&blockno=8000000&apikey=YourApiKeyToken
1curl 'https://api.routescan.io/v2/network/mainnet/evm/1/etherscan/api?module=account&action=balancehistory&address=0xde0b295669a9fd93d5f28d9ec85e40f4cb697bae&blockno=8000000' \
2 -H 'apikey: YourApiKeyToken'
1{
2 status: string;
3 message: string;
4 result: {
5 LastBlock: string;
6 SafeGasPrice: string;
7 ProposeGasPrice: string;
8 FastGasPrice: string;
9 suggestBaseFee: string;
10 };
11}

Get Gas Oracle

Returns the current Safe, Propose and Fast gas prices. Response includes LastBlock (last block number), SafeGasPrice (low gas price), ProposeGasPrice (median gas price), FastGasPrice (high gas price), and suggestBaseFee (base gas price).

GET
https://api.routescan.io/v2/network/mainnet/evm/1/etherscan/api?module=gastracker&action=gasoracle&apikey=YourApiKeyToken
1curl 'https://api.routescan.io/v2/network/mainnet/evm/1/etherscan/api?module=gastracker&action=gasoracle' \
2 -H 'apikey: YourApiKeyToken'
Questions? Contact us